(* ****************************************************************************
 *                         Fumio Kawamata's J2j
 *                         A Thumbnail Generator
 *                  Copyright (C) 1998 Fumio Kawamata
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
 *  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 *  Public License in the directory "manual" for more details.
 ******************************************************************************
 *)

(* ****************************************************************************
 *
 * ****************************************************************************
 *)
unit logview;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls, Buttons, ExtCtrls, ComCtrls;

type
  TformLogViewer = class(TForm)
    StatusBar: TStatusBar;
    panelBottom: TPanel;
    memoLog: TMemo;
    menuMain: TMainMenu;
    bitbtnClose: TBitBtn;
    menuFile: TMenuItem;
    menuFileClose: TMenuItem;
    procedure menuFileCloseClick(Sender: TObject);
    procedure bitbtnCloseClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
  public
  end;

var
  formLogViewer: TformLogViewer;

implementation

uses main,RegUtl;
const
  BaseKeyName = '\software\Fumio_Kawamata_J2j';

{$R *.DFM}

procedure TformLogViewer.menuFileCloseClick(Sender: TObject);
begin
  formLogViewer.Close;
end;

procedure TformLogViewer.bitbtnCloseClick(Sender: TObject);
begin
  formLogViewer.Close;
end;

procedure TformLogViewer.FormCreate(Sender: TObject);
(* ****************************************************************************
 * Sets initial values.
 * ****************************************************************************
 *)
begin
  if ExistKey(BaseKeyName+'\'+formLogViewer.Name) then begin
    RestoreFormStatus(formLogViewer,BaseKeyName);
  end
  else begin
    Width:=600;
    Height:=480;
    Position:=poScreenCenter;
  end;
end;

procedure TformLogViewer.FormDestroy(Sender: TObject);
(* ****************************************************************************
 * Stores option statuses when the registories have been existed.
 * Please note users can remove the registories for this program when it is
 * running.
 * ****************************************************************************
 *)
begin
  if ExistKey(BaseKeyName) then begin
    StoreFormStatus(formLogViewer,BaseKeyName);
  end;
end;

end.
